Skip to content

API reference / Pay out

POST /v1/payouts Bearer Idempotent

Send money

Headers

Idempotency-Key required string

Required for money-moving and session/mandate creates; replays must use the same body.

Body parameters

type required string

One of mobile_money bank

currency required string
amount required string
merchant_reference required string
mobile optional string
provider optional string
account_number optional string
bank_code optional string
narration optional string
transaction_type optional string
transaction_date optional string
expires_at optional string

Webhook events

payout.processing payout.succeeded payout.failed

POST https://omni.mojo-pay.com/v1/payouts
{
    "type": "mobile_money",
    "currency": "GHS",
    "amount": "1.11",
    "merchant_reference": "PO-7788",
    "mobile": "233241000000",
    "provider": "MTN"
}
Response
{
    "id": "PO_7XR2ABCDEF",
    "object": "payout",
    "status": "processing",
    "merchant_reference": "PO-7788",
    "amount": "1.11",
    "fee_amount": "0.00",
    "amount_debited": "1.11"
}